org.apache.ignite.internal.visor.cache

## Class VisorCacheQueryDetailMetricsCollectorTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<Long,Collection<VisorCacheQueryDetailMetrics>,Collection<? extends QueryDetailMetrics>>
  - - org.apache.ignite.internal.visor.cache.VisorCacheQueryDetailMetricsCollectorTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<Long>,Collection<VisorCacheQueryDetailMetrics>>

    @GridInternal
    public class VisorCacheQueryDetailMetricsCollectorTask
    extends VisorMultiNodeTask<Long,Collection<VisorCacheQueryDetailMetrics>,Collection<? extends QueryDetailMetrics>>

Task to collect cache query metrics.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorCacheQueryDetailMetricsCollectorTask()`

### Method Summary

Methods
`protected org.apache.ignite.internal.visor.cache.VisorCacheQueryDetailMetricsCollectorTask.VisorCacheQueryDetailMetricsCollectorJob` `job(Long arg)`
`protected Collection<VisorCacheQueryDetailMetrics>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorCacheQueryDetailMetricsCollectorTask

    public VisorCacheQueryDetailMetricsCollectorTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.cache.VisorCacheQueryDetailMetricsCollectorTask.VisorCacheQueryDetailMetricsCollectorJob job(Long arg)

Specified by:
  `job` in class `VisorMultiNodeTask<Long,Collection<VisorCacheQueryDetailMetrics>,Collection<? extends QueryDetailMetrics>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected Collection<VisorCacheQueryDetailMetrics> reduce0(List<ComputeJobResult> results)
                                                        throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<Long,Collection<VisorCacheQueryDetailMetrics>,Collection<? extends QueryDetailMetrics>>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016